﻿using System;
using System.Collections.Generic;
using HeuristicLab.Clients.Hive.SlaveCore;
using HeuristicLab.Services.Hive.Common.DataTransfer;

namespace HeuristicLab.Clients.Hive.Slave.Tests {
  public class MockPluginService : IPluginProvider {

    public Dictionary<Guid, Plugin> Plugins;
    public Dictionary<Guid, List<PluginData>> PluginDatas;

    public MockPluginService() {
      this.Plugins = new Dictionary<Guid, Plugin>();
      this.PluginDatas = new Dictionary<Guid, List<PluginData>>();
    }

    public Plugin GetPlugin(Guid pluginId) {
      return Plugins[pluginId];
    }

    public IEnumerable<PluginData> GetPluginDatas(List<Guid> pluginIds) {
      foreach(var id in pluginIds)
        foreach(var pd in PluginDatas[id])
          yield return pd;
    }
  }
}
